Package org.opensaml.saml.saml2.core.impl

# Class StatusResponseTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.core.impl.StatusResponseTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `StatusResponseType`, `SignableXMLObject`

Direct Known Subclasses:
  `ArtifactResponseImpl`, `LogoutResponseImpl`, `ManageNameIDResponseImpl`, `NameIDMappingResponseImpl`, `ResponseImpl`

public abstract class StatusResponseTypeImpl extends AbstractSignableSAMLObject implements StatusResponseType
Concrete implementation of `StatusResponseType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`consent`
Consent attribute.
`private String`
`destination`
Destination attribute.
`private Extensions`
`extensions`
Extensions child element.
`private String`
`id`
ID attribute.
`private String`
`inResponseTo`
InResponseTo attribute.
`private Instant`
`issueInstant`
IssueInstant attribute.
`private Issuer`
`issuer`
Issuer child element.
`private Status`
`status`
Status child element.
`private SAMLVersion`
`version`
SAML Version attribute.

### Fields inherited from interface org.opensaml.saml.saml2.core.StatusResponseType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, IN_RESPONSE_TO_ATTRIB_NAME, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, TYPE_LOCAL_NAME, TYPE_NAME, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StatusResponseTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getConsent()`
Gets the consent obtained from the principal for sending this response.
`String`
`getDestination()`
Gets the URI of the destination of the response.
`Extensions`
`getExtensions()`
Gets the Extensions of this response.
`String`
`getID()`
Gets the unique identifier of the response.
`String`
`getInResponseTo()`
Gets the unique request identifier for which this is a response.
`Instant`
`getIssueInstant()`
Gets the date/time the response was issued.
`Issuer`
`getIssuer()`
Gets the issuer of this response.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getSignatureReferenceID()`
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.
`Status`
`getStatus()`
Gets the Status of this response.
`SAMLVersion`
`getVersion()`
Gets the SAML Version of this response.
`void`
`setConsent(String newConsent)`
Sets the consent obtained from the principal for sending this response.
`void`
`setDestination(String newDestination)`
Sets the URI of the destination of the response.
`void`
`setExtensions(Extensions newExtensions)`
Sets the Extensions of this response.
`void`
`setID(String newID)`
Sets the unique identifier of the response.
`void`
`setInResponseTo(String newInResponseTo)`
Sets the unique request identifier for which this is a response.
`void`
`setIssueInstant(Instant newIssueInstant)`
Sets the date/time the response was issued.
`void`
`setIssuer(Issuer newIssuer)`
Sets the issuer of this response.
`void`
`setStatus(Status newStatus)`
Sets the Status of this response.
`void`
`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this response.

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### version

@Nullable private SAMLVersion version
SAML Version attribute.

### id

@Nullable private String id
ID attribute.

### inResponseTo

@Nullable private String inResponseTo
InResponseTo attribute.

### issueInstant

@Nullable private Instant issueInstant
IssueInstant attribute.

### destination

@Nullable private String destination
Destination attribute.

### consent

@Nullable private String consent
Consent attribute.

### issuer

@Nullable private Issuer issuer
Issuer child element.

### extensions

@Nullable private Extensions extensions
Extensions child element.

### status

@Nullable private Status status
Status child element.

## Constructor Details

### StatusResponseTypeImpl

protected StatusResponseTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getVersion

@Nullable public SAMLVersion getVersion()
Gets the SAML Version of this response.

Specified by:
  `getVersion` in interface `StatusResponseType`
Returns:
  the SAML Version of this response.

### setVersion

public void setVersion(@Nullable SAMLVersion newVersion)
Sets the SAML Version of this response.

Specified by:
  `setVersion` in interface `StatusResponseType`
Parameters:
  `newVersion` - the SAML Version of this response

### getID

@Nullable public String getID()
Gets the unique identifier of the response.

Specified by:
  `getID` in interface `StatusResponseType`
Returns:
  the unique identifier of the response

### setID

public void setID(@Nullable String newID)
Sets the unique identifier of the response.

Specified by:
  `setID` in interface `StatusResponseType`
Parameters:
  `newID` - the unique identifier of the response

### getInResponseTo

@Nullable public String getInResponseTo()
Gets the unique request identifier for which this is a response.

Specified by:
  `getInResponseTo` in interface `StatusResponseType`
Returns:
  the unique identifier of the originating request

### setInResponseTo

public void setInResponseTo(@Nullable String newInResponseTo)
Sets the unique request identifier for which this is a response.

Specified by:
  `setInResponseTo` in interface `StatusResponseType`
Parameters:
  `newInResponseTo` - the unique identifier of the originating request

### getIssueInstant

@Nullable public Instant getIssueInstant()
Gets the date/time the response was issued.

Specified by:
  `getIssueInstant` in interface `StatusResponseType`
Returns:
  the date/time the response was issued

### setIssueInstant

public void setIssueInstant(@Nullable Instant newIssueInstant)
Sets the date/time the response was issued.

Specified by:
  `setIssueInstant` in interface `StatusResponseType`
Parameters:
  `newIssueInstant` - the date/time the response was issued

### getDestination

@Nullable public String getDestination()
Gets the URI of the destination of the response.

Specified by:
  `getDestination` in interface `StatusResponseType`
Returns:
  the URI of the destination of the response

### setDestination

public void setDestination(@Nullable String newDestination)
Sets the URI of the destination of the response.

Specified by:
  `setDestination` in interface `StatusResponseType`
Parameters:
  `newDestination` - the URI of the destination of the response

### getConsent

@Nullable public String getConsent()
Gets the consent obtained from the principal for sending this response.

Specified by:
  `getConsent` in interface `StatusResponseType`
Returns:
  the consent obtained from the principal for sending this response

### setConsent

public void setConsent(@Nullable String newConsent)
Sets the consent obtained from the principal for sending this response.

Specified by:
  `setConsent` in interface `StatusResponseType`
Parameters:
  `newConsent` - the consent obtained from the principal for sending this response

### getIssuer

@Nullable public Issuer getIssuer()
Gets the issuer of this response.

Specified by:
  `getIssuer` in interface `StatusResponseType`
Returns:
  the issuer of this response

### setIssuer

public void setIssuer(@Nullable Issuer newIssuer)
Sets the issuer of this response.

Specified by:
  `setIssuer` in interface `StatusResponseType`
Parameters:
  `newIssuer` - the issuer of this response

### getExtensions

@Nullable public Extensions getExtensions()
Gets the Extensions of this response.

Specified by:
  `getExtensions` in interface `StatusResponseType`
Returns:
  the Status of this response

### setExtensions

public void setExtensions(@Nullable Extensions newExtensions)
Sets the Extensions of this response.

Specified by:
  `setExtensions` in interface `StatusResponseType`
Parameters:
  `newExtensions` - the Extensions of this response

### getStatus

@Nullable public Status getStatus()
Gets the Status of this response.

Specified by:
  `getStatus` in interface `StatusResponseType`
Returns:
  the Status of this response

### setStatus

public void setStatus(@Nullable Status newStatus)
Sets the Status of this response.

Specified by:
  `setStatus` in interface `StatusResponseType`
Parameters:
  `newStatus` - the Status of this response

### getSignatureReferenceID

@Nullable public String getSignatureReferenceID()
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.

Specified by:
  `getSignatureReferenceID` in interface `SignableSAMLObject`
Returns:
  the value of this SAMLObject ID attribute

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements